public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/gcc] rhel-f41-base: Import RHEL's regression test for #1852781
@ 2026-06-29 12:29
0 siblings, 0 replies; only message in thread
From: @ 2026-06-29 12:29 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/gcc
Branch : rhel-f41-base
Commit : 196b71d183d376e8d45535a22b48422bdaadde8c
Author : Václav Kadlčík <vkadlcik@redhat.com>
Date : 2021-07-09T15:36:20+02:00
Stats : +80/-0 in 3 file(s)
URL : https://src.fedoraproject.org/rpms/gcc/c/196b71d183d376e8d45535a22b48422bdaadde8c?branch=rhel-f41-base
Log:
Import RHEL's regression test for #1852781
---
diff --git a/tests/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support/main.fmf b/tests/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support/main.fmf
new file mode 100644
index 0000000..1c87a12
--- /dev/null
+++ b/tests/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support/main.fmf
@@ -0,0 +1,17 @@
+summary: Test for BZ#1852781 (Compiling with -flto and -g removes CET support)
+description: |
+ Bug summary: Compiling with -flto and -g removes CET support
+ Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1852781
+contact: Alexandra Hájková <ahajkova@redhat.com>
+component:
+- gcc
+test: ./runtest.sh
+framework: beakerlib
+recommend:
+- gcc
+- binutils
+duration: 15m
+link:
+- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1852781
+extra-summary: /tools/gcc/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support
+extra-task: /tools/gcc/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support
diff --git a/tests/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support/runtest.sh b/tests/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support/runtest.sh
new file mode 100755
index 0000000..84cae8f
--- /dev/null
+++ b/tests/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support/runtest.sh
@@ -0,0 +1,55 @@
+#!/bin/bash
+# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /tools/gcc/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support
+# Description: Test for BZ#1852781 (Compiling with -flto and -g removes CET support)
+# Author: Alexandra Hájková <ahajkova@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2020 Red Hat, Inc.
+#
+# This program is free software: you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation, either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see http://www.gnu.org/licenses/.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="gcc"
+TESTPROG="x"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlAssertRpm $PACKAGE
+ rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
+ rlRun "cp $TESTPROG.c $TmpDir"
+ rlRun "pushd $TmpDir"
+ rlPhaseEnd
+
+ rlPhaseStartTest
+ rlRun "gcc -flto -c -fcf-protection -g $TESTPROG.c"
+ rlRun "gcc -flto -Wl,-z,cet-report=error -fcf-protection -g $TESTPROG.o &> log"
+ rlAssertNotGrep " missing IBT and SHSTK properties" log
+ rlRun "readelf --wide --notes a.out | grep IBT &> log"
+ rlAsserGrep "IBT, SHSTK" log
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ rlRun "popd"
+ rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
diff --git a/tests/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support/x.c b/tests/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support/x.c
new file mode 100644
index 0000000..64fffec
--- /dev/null
+++ b/tests/Regression/bz1852781-Compiling-with-flto-and-g-removes-CET-support/x.c
@@ -0,0 +1,8 @@
+#include <stdio.h>
+
+int
+main ()
+{
+ printf ("hello\n");
+ return 0;
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-06-29 12:29 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-06-29 12:29 [rpms/gcc] rhel-f41-base: Import RHEL's regression test for #1852781
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox